<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Smart banner component | Adstate Embeddable Solutions</title>
    <style>
      * {
        box-sizing: border-box;
      }

      body {
        background-color: #f0f0f0;
        font-size: 16px;
        font-family: sans-serif;
        line-height: 1.5;
        text-align: center;
        padding: 1em 0;
      }

      body > main {
        display: block;
        margin: 1em auto;
        align-items: center;
        text-align: left;
        width: 100%;
        max-width: 960px;
        padding: 1em;
        background-color: #ffffff;
        border-radius: 8px;
      }

      @media (min-width: 480px) {
        body > main {
          margin: 4em auto 0;
          padding: 2em 4em;
        }
      }

      a {
        color: #3d9c64;
        text-decoration: none;
      }

      a:hover,
      a:focus {
        text-decoration: underline;
      }

      .button {
        display: inline-block;
        padding: 0.5em 1em;
        border-radius: 4px;
        color: #ffffff;
        background-color: #3d9c64;
        text-decoration: none;
      }

      code,
      pre {
        border-radius: 4px;
        background-color: #ddd;
      }

      code {
        padding: 2px;
      }

      pre {
        padding: 1em;
        overflow: auto;
      }
    </style>
  </head>
  <body>
    <h1>Adstate Embeddable Solutions</h1>
    <p><a href="../">⬅️ Go back</a></p>
    <main>
      <h2>Smart banner component</h2>

      <p>
        <a href="./demo/" class="button">See demo</a>
      </p>

      <p>This is how you can embed our settings component into your own website:</p>
      <ul>
        <li>
          <p>Include script:</p>
          <ul>
            <li>
              Production:
              <a href="https://embed.adstate.com/smart-banner-component.js">https://embed.adstate.com/smart-banner-component.js</a>
            </li>
            <li>
              Testing:
              <a href="https://sandbox.embed.adstate.com/smart-banner-component.js"
                >https://sandbox.embed.adstate.com/smart-banner-component.js</a
              >
            </li>
            <li>
              Development:
              <a href="https://dev.embed.adstate.com/smart-banner-component.js">https://dev.embed.adstate.com/smart-banner-component.js</a>
            </li>
          </ul>
        </li>
        <li>
          <p>
            Put the following tag in your page:
            <code>&lt;adstate-smart-banner&gt;&lt;/adstate-smart-banner&gt;</code>
          </p>
        </li>
      </ul>

      <p><strong>Native for iOS</strong></p>
      <p>
        iOS has native support for a smart banner. If you use the <code>use-native-for-ios="true"</code> attribute, the regular smart banner
        will be hidden on iOS, and only the native one will be used. The regular one will still appear on other platforms.
      </p>
      <p>
        Note that if you supply <code>native-for-ios-app-id</code> and <code>native-for-ios-app-argument</code> without setting
        <code>use-native-for-ios=true</code>, both the regular and native will show. This is because we support showing the regular banner
        in other locations (it doesn't have to be fixed to the top of the page like the native one).
      </p>

      <p>Example usage:</p>
      <pre>
  &lt;!DOCTYPE html&gt;
  &lt;html lang=&quot;en&quot;&gt;
  &lt;head&gt;
      &lt;meta charset=&quot;UTF-8&quot;&gt;
      &lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;
      &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot;&gt;
      &lt;title&gt;Our website&lt;/title&gt;
  &lt;/head&gt;
  &lt;body&gt;
      &lt;nav&gt;
          &lt;img src=&quot;logo.jpg&quot; alt=&quot;&quot;&gt;
          &lt;ul&gt;
              &lt;li&gt;&lt;a href=&quot;#1&quot;&gt;Link 1&lt;/a&gt;&lt;/li&gt;
              &lt;li&gt;&lt;a href=&quot;#2&quot;&gt;Link 2&lt;/a&gt;&lt;/li&gt;
              &lt;li&gt;&lt;a href=&quot;#3&quot;&gt;Link 3&lt;/a&gt;&lt;/li&gt;
          &lt;/ul&gt;
      &lt;/nav&gt;
      &lt;main&gt;
        <strong>&lt;adstate-smart-banner
            title=&quot;Last ned Minnesider appen!&quot;
            extra-text=&quot;Last ned appen for å få tilgang til alle funksjonene.&quot;
            show-close-button=&quot;true&quot;
            link-text=&quot;Last ned&quot;
            description=&quot;Få den beste opplevelsen med appen.&quot;
            link=&quot;https://minnesider.no/app&quot;
            rating=&quot;5&quot;
            logo=&quot;https://design.adstate.com/assets/minnesider-branding/logo/app-icon.svg&quot;
            show-only-on=&quot;mobile&quot;&gt;
            use-native-for-ios=&quot;true&quot;
            native-for-ios-app-id=&quot;1529239925&quot;
            native-for-ios-app-argument=&quot;admemoria&quot;
        &lt;/adstate-smart-banner&gt;</strong>
      &lt;/main&gt;
      &lt;footer&gt;
          &lt;p&gt;Page footer &copy; Copyright 2023&lt;/p&gt;
      &lt;/footer&gt;
      &lt;script src=&quot;https://embed.adstate.com/smart-banner-component.js&quot;&gt;&lt;/script&gt;
  &lt;/body&gt;
  &lt;/html&gt;
</pre>

      <p>
        You might also need some CSS, if you want the banner to remain at the top of the page. <br />
        Wrap the smart banner with a div with id smart-banner-wrapper. <br />
        Then add the following CSS:
      </p>
      <pre>
#smart-banner-wrapper {
  position: sticky;
  top: 0;
  z-index: 1;
}
</pre
      >
    </main>
  </body>
</html>
